Issue1876

classification
Title: PYTHONIOENCODING unsupported, used (among others) by PyDev
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: friendfx, fwierzbicki, jeff.allen
Priority: normal Keywords:

Created on 2012-04-17.04:57:06 by friendfx, last changed 2014-04-22.07:16:24 by jeff.allen.

Messages
msg7063 (view) Author: FriendFX (friendfx) Date: 2012-04-17.04:57:06
As stated in a question on Stack Overflow (http://stackoverflow.com/q/9651835/897968), there is a problem with the encoding of a subprocess streams started by Jython code under control from PyDev.

Philip Jenvey said in an email on that matter:

"You can log a bug for it, although PYTHONIOENCODING was only added in CPython 2.6, so Jython probably wouldn't support it until 2.7 (Jython's skipping 2.6)."
msg8192 (view) Author: Jeff Allen (jeff.allen) Date: 2013-12-05.08:38:36
Making this a bug against 2.7
msg8238 (view) Author: Jeff Allen (jeff.allen) Date: 2014-02-07.07:58:58
I appear to have a viable approach. Jython likes to keep everything in the registry, so I'm considering defining python.io.encoding, set from PYTHONIOENCODING during util.jython, and used by PySystemState.
msg8239 (view) Author: Jeff Allen (jeff.allen) Date: 2014-02-09.20:27:36
Now at http://hg.python.org/jython/rev/6e438088c0e3

Note the possibility of using new registry items too. Will close after a decent interval elapses.
msg8295 (view) Author: Jeff Allen (jeff.allen) Date: 2014-04-22.07:16:23
That seems not to be a problem to anyone, so closing as fixed.
History
Date User Action Args
2014-04-22 07:16:24jeff.allensetstatus: open -> closed
resolution: fixed
messages: + msg8295
2014-02-09 20:27:37jeff.allensetmessages: + msg8239
2014-02-07 07:58:59jeff.allensetassignee: jeff.allen
messages: + msg8238
2013-12-05 08:38:36jeff.allensetnosy: + jeff.allen
messages: + msg8192
versions: + Jython 2.7, - Jython 2.5
2013-02-25 21:01:54fwierzbickisetpriority: normal
nosy: + fwierzbicki
versions: + Jython 2.5, - 2.5.2
2012-04-17 04:57:06friendfxcreate